import "../../chunks/chunk.QU3DSPNU.js";
const dateConverter = {
  fromAttribute(value) {
    return new Date(value);
  },
  toAttribute(value) {
    return value.toISOString();
  }
};
const dateArrayConverter = {
  fromAttribute(value) {
    return value.split(",").map((d) => new Date(d.trim()));
  },
  toAttribute(value) {
    return JSON.stringify(value.map((d) => d.toISOString()));
  }
};
const stringArrayConverter = {
  fromAttribute(value) {
    return value.split(",");
  },
  toAttribute(value) {
    return Array.isArray(value) ? value.join(",") : value;
  }
};
export {
  dateArrayConverter,
  dateConverter,
  stringArrayConverter
};
